### A free/open-source library for quantitative finance

Public Member Functions
FraRateHelper Class Reference

Rate helper for bootstrapping over FRA rates. More...

`#include <ql/termstructures/yield/ratehelpers.hpp>`

Inheritance diagram for FraRateHelper:
[legend]

List of all members.

## Public Member Functions

| FraRateHelper (const Handle< Quote > &rate, Natural monthsToStart, Natural monthsToEnd, Natural fixingDays, const Calendar &calendar, BusinessDayConvention convention, bool endOfMonth, const DayCounter &dayCounter)
| FraRateHelper (Rate rate, Natural monthsToStart, Natural monthsToEnd, Natural fixingDays, const Calendar &calendar, BusinessDayConvention convention, bool endOfMonth, const DayCounter &dayCounter)
| FraRateHelper (const Handle< Quote > &rate, Natural monthsToStart, const boost::shared_ptr< IborIndex > &iborIndex)
| FraRateHelper (Rate rate, Natural monthsToStart, const boost::shared_ptr< IborIndex > &iborIndex)
| FraRateHelper (const Handle< Quote > &rate, Period periodToStart, Natural lengthInMonths, Natural fixingDays, const Calendar &calendar, BusinessDayConvention convention, bool endOfMonth, const DayCounter &dayCounter)
| FraRateHelper (Rate rate, Period periodToStart, Natural lengthInMonths, Natural fixingDays, const Calendar &calendar, BusinessDayConvention convention, bool endOfMonth, const DayCounter &dayCounter)
| FraRateHelper (const Handle< Quote > &rate, Period periodToStart, const boost::shared_ptr< IborIndex > &iborIndex)
| FraRateHelper (Rate rate, Period periodToStart, const boost::shared_ptr< IborIndex > &iborIndex)
RateHelper interface
Real | impliedQuote () const
void | setTermStructure (YieldTermStructure *)
Visitability
void | accept (AcyclicVisitor &)

## Detailed Description

Rate helper for bootstrapping over FRA rates.

Examples:
  FRA.cpp, and swapvaluation.cpp.